> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Checkout Session

Update an existing checkout session with this endpoint. Only fields you send will be updated.


## OpenAPI

````yaml openapi/checkout-sessions/update-checkout-session.json PATCH /checkout/sessions/{checkout_session}
openapi: 3.1.0
info:
  title: checkout-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /checkout/sessions/{checkout_session}:
    patch:
      summary: Copy of Create Checkout Session
      operationId: post_checkoutsessions-1
      parameters:
        - in: path
          name: checkout_session
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - merchant_order_id
                - payment_description
                - country
                - account_id
              properties:
                customer_id:
                  type: string
                  description: >-
                    The unique identifier of the customer, created using the
                    [Create
                    Customer](https://docs.y.uno/reference/create-customer)
                    endpoint (UUID, 36 chars).
                merchant_order_id:
                  type: string
                  description: >-
                    The unique identifier of the customer's order (MAX 255; MIN
                    3).
                payment_description:
                  type: string
                  description: The description of the payment (MAX 255; MIN 3).
                callback_url:
                  type: string
                  description: >-
                    The URL where we will redirect your customer after making
                    the purchase. Required for alternative payment methods with
                    redirection. (MAX 526; MIN 3)
                country:
                  type: string
                  description: >-
                    The customer's country (MAX 2; MIN 2; [ISO
                    3166-1](country-reference)).
                  enum:
                    - AR
                    - BO
                    - BR
                    - CL
                    - CO
                    - CR
                    - EC
                    - SV
                    - GT
                    - HN
                    - MX
                    - NI
                    - PA
                    - PY
                    - PE
                    - US
                    - UY
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the account. You find this
                    information on [the Yuno
                    dashboard](https://dashboard.y.uno/) (UUID, 36 chars).
                  default: '{{account_id}}'
                amount:
                  type: object
                  description: >-
                    Specifies the payment amount object, with the value and
                    currency.
                  required:
                    - currency
                    - value
                  properties:
                    currency:
                      type: string
                      description: >-
                        The currency used to make the payment. For a full list
                        of currency codes, see [Country
                        reference](/reference/country-reference) (MAX 3; MIN 3;
                        ISO 4217).
                    value:
                      type: number
                      description: The payment amount (multiple of 0.0001).
                      format: float
                alternative_amount:
                  type: object
                  description: >-
                    Alternative currency representation of the transaction
                    amount.
                  required:
                    - currency
                    - value
                  properties:
                    currency:
                      type: string
                      description: >-
                        The alternative currency code. For a full list of
                        currency codes, see [Country
                        reference](/reference/country-reference) (MAX 3; MIN 3;
                        ISO 4217).
                      nullable: true
                    value:
                      type: number
                      description: The alternative amount value (multiple of 0.0001).
                      format: float
                metadata:
                  type: array
                  description: >-
                    Specifies a list of metadata objects. You can add up to 120
                    metadata objects.
                  items:
                    properties:
                      key:
                        type: string
                        description: The metadata key (MAX 48)
                      value:
                        type: string
                        description: The metadata key value (MAX 512)
                    required:
                      - key
                      - value
                    type: object
                workflow:
                  type: string
                  description: Checkout workflow type.
                  enum:
                    - SDK_CHECKOUT
                    - CHECKOUT
                    - SDK_SEAMLESS
                installments:
                  type: object
                  description: >-
                    The object to send the installment plan created in Yuno to
                    show your customers and let them choose from. This optional
                    field is used in case a particular installments plan needs
                    to be used in the session. if not sent, we will display the
                    installment plan created for the account for each scenario,
                    if any.
                  properties:
                    plan_id:
                      type: string
                      description: Plan Id of the installment plan created in Yuno
                    plan:
                      type: array
                      description: >-
                        Installments to show the customer in with the
                        checkout_session. This optional struct is used in case a
                        particular installments plan needs to be used in the
                        session and does not have an installments plan created
                        for it. if not sent, we will display the installment
                        plan created for the account for each scenario, if any.
                      items:
                        properties:
                          installment:
                            type: integer
                            description: >-
                              The number of monthly installments shoppers can
                              choose
                            format: int32
                          rate:
                            type: number
                            description: >-
                              The rate applied to the final amount of the
                              transaction by the payment provider after using
                              installments. The value should be entered as a
                              multiplier, not a percentage. For example, to
                              apply a 20% rate, enter `1.20` instead of `20`.
                            format: float
                        required:
                          - installment
                          - rate
                        type: object
            examples:
              Update checkout session:
                value:
                  country: BR
                  amount:
                    currency: ARS
                  alternative_amount:
                    currency: ARS
                  merchant_order_id: '007'
                  payment_description: Payment Test
                  account_id: '{{account_id}}'
                summary: Update checkout session
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Success:
                  value:
                    merchant_order_id: '007'
                    checkout_session: c67ce158-6053-4661-a1de-aed5c945b935
                    country: BR
                    payment_description: Payment Test
                    callback_url: null
                    amount:
                      currency: ARS
                      value: 100
                    created_at: '2025-11-14T00:43:22.719648Z'
                    metadata: null
                    workflow: SDK_CHECKOUT
                    installments:
                      plan_id: null
                      plan: null
                    used: false
                  summary: Success
              schema:
                type: object
                properties:
                  merchant_order_id:
                    type: string
                    example: '007'
                  checkout_session:
                    type: string
                    example: c67ce158-6053-4661-a1de-aed5c945b935
                  country:
                    type: string
                    example: BR
                  payment_description:
                    type: string
                    example: Payment Test
                  callback_url: {}
                  amount:
                    type: object
                    properties:
                      currency:
                        type: string
                        example: ARS
                      value:
                        type: integer
                        example: 100
                        default: 0
                  created_at:
                    type: string
                    example: '2025-11-14T00:43:22.719648Z'
                  metadata: {}
                  workflow:
                    type: string
                    example: SDK_CHECKOUT
                  installments:
                    type: object
                    properties:
                      plan_id: {}
                      plan: {}
                  used:
                    type: boolean
                    example: false
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````